***************************
*** MIDDLE INCOME GRAPH ***
***************************
	
	global hcol plb1 
	global mcol black
	global lcol plg1 
	
	global pwtcol plr1 
	global wdicol ply1 
	global madcol pll1 
	
	*** Rolling convergence graph
		use "$output/mit_coefficients.dta", clear 
		keep if endyear == maxend
	
	*** Stagger years for graph
		gen startyear2 = startyear + .2
		gen startyear3 = startyear + .4
	
		#delimit ;
		tw  (rcap mlower mupper startyear if measure == "mad" & startyear >=1960 & startyear <= 2010, lcolor(${madcol}%30)) 	
			(rcap mlower mupper startyear2 if measure == "pwt" & startyear >=1960 & startyear <= 2010, lcolor(${pwtcol}%30)) 	
			(rcap mlower mupper startyear3 if measure == "wdi" & startyear >=1960 & startyear <= 2010, lcolor(${wdicol}%30)) 	
			(sc mbeta startyear if measure == "mad" & startyear >=1960 & startyear <= 2010, mcolor(${madcol}%70))	
			(sc mbeta startyear2 if measure == "pwt" & startyear >=1960 & startyear <= 2010, mcolor(${pwtcol}%70) msymbol(D))
			(sc mbeta startyear3 if measure == "wdi" & startyear >=1960 & startyear <= 2010, mcolor(${wdicol}%70) msymbol(S)), 	
			plotregion(style(none) lcolor(none)) yline(0,lcolor(black) lpattern(shortdash) lwidth(medium)) xlabel(1960(5)2010, angle(45)) 
				graphregion(fcol(white) lcol(white)) 
				ytitle("{&gamma}", orientation(horizontal) size(large)) 
				xtitle("Initial Year") xsize(4) ysize(4)  ylabel(-1.5(.5)2, angle(horizontal))
				legend(order(	4 "Maddison" 
								5 "PWT"
								6 "WDI") pos(10) ring(0) col(1)
								region(lcolor(none) fcolor(none)));
		#delimit cr
		graph export "$figures/mitrollingbeta_transformed_by_series.pdf", replace